/// Created by Haoyi on 2023/5/5

import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:guru_utils/manifest/manifest.dart';

void main() {
  test("Test Gems Initialize In First Install", () async {
    final extras = <String, dynamic>{
      ExtraReservedField.scene: "test",
    };
    final details = <Details>[];
    details.add(Details.define('igc', 1000));
    final manifest = Manifest('gem', extras: extras, details: details);
    final str = jsonEncode(manifest);
    print(str);
    expect(1, 1);

  });
}